Subject: Warnings in ftpd-2.4

From: [email-masked] (Dario Canosa)
Date: Wed, 5 Feb 1997 14:14:53 +0300 (GMT)

Hello:
------

Excuse me if my question is inappropiate here, but I read the faq and 
I did not found an answer.

I am trying to compile wu-ftpd-2.4 in a SUN Sparcstation 4 under Solaris 2.5,
using gcc 2.7.2. I followed the instruccion in the README file but I 
got the following warnings.

My questions is How severe this warning are? Can I ignore them or there is
a way to solve them.

$ ./build sol|more
make args are : 
make opts are : 
 
Linking Makefiles.
 
Making support library.
/usr/local/bin/gcc -g -DDEBUG   -c fnmatch.c
/usr/local/bin/gcc -g -DDEBUG   -c strcasestr.c
/usr/local/bin/gcc -g -DDEBUG   -c strsep.c
/usr/local/bin/gcc -g -DDEBUG   -c authuser.c
In file included from authuser.c:7:
/usr/include/arpa/inet.h:46: warning: `struct in_addr' declared inside parameter list
/usr/include/arpa/inet.h:46: warning: its scope is only this definition or declaration,
/usr/include/arpa/inet.h:46: warning: which is probably not what you want.
/usr/include/arpa/inet.h:46: warning: parameter has incomplete type
/usr/include/arpa/inet.h:49: warning: parameter has incomplete type
/usr/include/arpa/inet.h:50: warning: parameter has incomplete type
rm -f libsupport.a
ar cq libsupport.a fnmatch.o strcasestr.o strsep.o authuser.o 
touch libsupport.a

Thank you.

Dario Canosa
Universidad Nac. de La Plata
Argentina
E-mail: [email-masked]